Updates an internal note authored by the current user.
curl --request PUT \
--url https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>"
}
'import requests
url = "https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId}"
payload = { "text": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"text\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"<string>\"\n}")
.asString();const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>'})
};
fetch('https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId}"
payload := strings.NewReader("{\n \"text\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'text' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"canEditNote": true,
"noteEdited": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"normalizedName": "<string>",
"color": "<string>"
}
],
"durationSeconds": 123,
"voicemailUrl": "<string>",
"isDemo": true,
"id": "<string>",
"eventType": "<string>",
"eventCategory": "<string>",
"timelineType": "Message",
"timelineCategory": "<string>",
"description": "<string>",
"conversationId": "<string>",
"leadId": "<string>",
"relatedEntityType": "<string>",
"relatedEntityId": "<string>",
"automationRunId": "<string>",
"summary": "<string>",
"media": [
{
"fileId": "<string>",
"url": "<string>",
"contentType": "<string>",
"size": 123,
"sha256": "<string>",
"fileName": "<string>"
}
],
"direction": "<string>",
"status": "Pending",
"statusReason": "<string>",
"trafficType": "RealLead",
"fromPhoneNumberId": "<string>",
"outboundPhoneNumberId": "<string>",
"fromPhoneNumber": "<string>",
"toPhoneNumber": "<string>",
"selectionReason": "NearestLocation",
"wasManuallyOverridden": true,
"campaignId": "<string>",
"sourceId": "<string>",
"complianceAction": "<string>",
"billingStatus": "<string>",
"billableAmount": 123,
"errorCode": "<string>",
"retryCount": 123,
"queuedAt": "2023-11-07T05:31:56Z",
"sendingStartedAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"receivedAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"undeliverableAt": "2023-11-07T05:31:56Z",
"blockedAt": "2023-11-07T05:31:56Z",
"nextRetryAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledReason": "<string>",
"canceledAt": "2023-11-07T05:31:56Z",
"cancelReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"actorUserId": "<string>",
"actorLeadId": "<string>",
"actorDisplayName": "<string>",
"actorEmail": "jsmith@example.com"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Request Failed",
"status": 415,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Events
Updates an internal note authored by the current user.
The event table row.
PUT
/
events
/
conversations
/
{conversationId}
/
notes
/
{eventId}
Updates an internal note authored by the current user.
curl --request PUT \
--url https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>"
}
'import requests
url = "https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId}"
payload = { "text": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"text\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"<string>\"\n}")
.asString();const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>'})
};
fetch('https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId}"
payload := strings.NewReader("{\n \"text\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/events/conversations/{conversationId}/notes/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'text' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"canEditNote": true,
"noteEdited": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"normalizedName": "<string>",
"color": "<string>"
}
],
"durationSeconds": 123,
"voicemailUrl": "<string>",
"isDemo": true,
"id": "<string>",
"eventType": "<string>",
"eventCategory": "<string>",
"timelineType": "Message",
"timelineCategory": "<string>",
"description": "<string>",
"conversationId": "<string>",
"leadId": "<string>",
"relatedEntityType": "<string>",
"relatedEntityId": "<string>",
"automationRunId": "<string>",
"summary": "<string>",
"media": [
{
"fileId": "<string>",
"url": "<string>",
"contentType": "<string>",
"size": 123,
"sha256": "<string>",
"fileName": "<string>"
}
],
"direction": "<string>",
"status": "Pending",
"statusReason": "<string>",
"trafficType": "RealLead",
"fromPhoneNumberId": "<string>",
"outboundPhoneNumberId": "<string>",
"fromPhoneNumber": "<string>",
"toPhoneNumber": "<string>",
"selectionReason": "NearestLocation",
"wasManuallyOverridden": true,
"campaignId": "<string>",
"sourceId": "<string>",
"complianceAction": "<string>",
"billingStatus": "<string>",
"billableAmount": 123,
"errorCode": "<string>",
"retryCount": 123,
"queuedAt": "2023-11-07T05:31:56Z",
"sendingStartedAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"receivedAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"undeliverableAt": "2023-11-07T05:31:56Z",
"blockedAt": "2023-11-07T05:31:56Z",
"nextRetryAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledReason": "<string>",
"canceledAt": "2023-11-07T05:31:56Z",
"cancelReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"actorUserId": "<string>",
"actorLeadId": "<string>",
"actorDisplayName": "<string>",
"actorEmail": "jsmith@example.com"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Request Failed",
"status": 415,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Authorizations
Path Parameters
Body
application/jsonapplication/*+json
The replacement note content.
Defines the input used for create note.
Plain-text note content to add to the conversation timeline.
Response
The request completed successfully.
Summarizes event timeline data in paginated and searchable results.
Provides the customer-facing outcome shown for an item in a lead or conversation timeline.
Available options:
Pending, InProgress, Completed, Cancelled, Scheduled, Queued, Sending, Sent, Received, Delivered, Undeliverable, Opted out, Blocked, Initiated, Ringing, Active, Ended, Missed, Voicemail, Failed, Canceled 
